APT-CACHE(8)

NOM
apt-cache - recherche dans le cache d'APT

SYNOPSIS

apt-cache [-agipns] [-o=chaîne_de_configuration] [-c=fichier_de_configuration] {gencaches | showpkg paquet... | showsrc paquet... | stats | dump | dumpavail | unmet | search expression_rationnelle... | show paquet [{=numéro_version_paquet | /publication_cible}]... | depends paquet [{=numéro_version_paquet | /publication_cible}]... | rdepends paquet [{=numéro_version_paquet | /publication_cible}]... | pkgnames [préfixe] | dotty paquet [{=numéro_version_paquet | /publication_cible}]... | xvcg paquet [{=numéro_version_paquet | /publication_cible}]... | policy [paquet...] | madison paquet... | {-v | --version} | {-h | --help}}

DESCRIPTION

apt-cache réalise différentes opérations sur le cache de paquet d'APT. apt-cache ne manipule pas l'état du système mais fournit des moyens de recherche dans les métadonnées d'un paquet desquelles il extrait les informations intéressantes. Les métadonnées sont obtenues et mises à jour avec la commande update d'apt-get par exemple, et peuvent donc être périmées si la dernière mise à jour est trop ancienne, mais en contrepartie apt-cache fonctionne indépendamment de la disponibilité des sources configurées (par exemple hors ligne).

À moins que l'option -h ou --help ne soit donnée, l'une des commandes suivantes doit être présente.

gencaches
    gencaches crée le cache d'APT. Cette action est faite implicitement par toute commande qui a besoin de ce cache s'il est manquant ou obsolète.

showpkg paquet...
    La commande showpkg affiche des informations sur les paquets donnés en argument. Les arguments restants sont les noms de paquets. Les versions disponibles et les dépendances inverses de chaque paquet répertorié sont listées, ainsi que les dépendances normales pour chaque version. Les dépendances normales d'un paquet sont constituées par les paquets dont il dépend ; les dépendances inverses sont les paquets qui dépendent du paquet en question. Les dépendances normales doivent donc être satisfaites et les dépendances inverses n'ont pas besoin de l'être. Ainsi, la commande apt-cache showpkg libreadline2 donnera ce résultat :

        Package: libreadline2
        Versions: 2.1-12(/var/state/apt/lists/foo_Packages),
        Reverse Depends:
          libreadlineg2,libreadline2
          libreadline2-altdev,libreadline2
        Dependencies:
        2.1-12 - libc5 (2 5.4.0-0) ncurses3.0 (0 (null))
        Provides:
        2.1-12 -
        Reverse Provides:
    On peut voir que libreadline2, version 2.1-12, dépend de libc5 et ncurses3.0 ; ces paquets doivent être installés au préalable pour que libreadline2 fonctionne. À leur tour, libreadlineg2 et libreadline2-altdev dépendent de libreadline2. Si libreadline2 est installé, libc5 et ncurses3.0 (et ldso) doivent aussi être installés ; libreadlineg2 et libreadline2-altdev n'ont pas à l'être. Pour connaître le sens particulier de la fin de la sortie, il est préférable de consulter le code source d'APT.

stats
    La commande stats affiche des statistiques à propos du cache. Aucun autre argument n'est attendu. Voici les informations rapportées :

        • Total package names est le nombre de paquets trouvés dans le cache.

        • Normal packages est le nombre de paquets simples, ordinaires ; ces paquets tolèrent une correspondance bijective entre leur nom et le nom utilisé par les autres paquets pour les qualifier comme dépendance. La majorité des paquets appartient à cette catégorie.

        • Pure virtual packages est le nombre de paquets qui n'existent que sous la forme d'un nom représentant un paquet virtuel ; ces paquets « fournissent » seulement un nom de paquet virtuel et aucun paquet n'utilise véritablement ce nom. Par exemple, au sein du système Debian GNU/Linux, le nom « mail-transport-agent » est un paquet virtuel pur ; plusieurs paquets peuvent « fournir » ce nom « mail-transport-agent », mais il n'existe aucun paquet nommé « mail-transport-agent ».

        • Single virtual packages est le nombre de paquets virtuels qui ne peuvent être remplis que par un seul paquet. Par exemple, au sein du système Debian, « X11-text-viewer » est un paquet virtuel ; seul le paquet « xless » remplit « X11-text-viewer ».

        • Mixed virtual packages est le nombre de paquets qui remplissent un paquet virtuel particulier ou dont le nom est un nom de paquet virtuel. Par exemple, au sein du système Debian, « debconf » est un paquet réel et il est aussi fourni par « debconf-tiny ».

        • Missing est le nombre de paquets référencés dans une dépendance mais qui ne sont fournis par aucun paquet. Les paquets manquants peuvent être mis en évidence quand on n'accède pas à une distribution complète ou si un paquet (réel ou virtuel) a été sorti d'une distribution. Habituellement on les trouve dans les champs « Conflicts » ou « Breaks ».

        • Total distinct versions est le nombre de versions de paquets trouvées dans le cache. Quand on accède à plus d'une distribution (« stable » et « unstable », par exemple), cette valeur peut être considérablement plus grande que le nombre total de paquets.

        • Total dependencies est le nombre de relations de dépendances déclarées par tous les paquets présents dans le cache.

showsrc paquet...
    showsrc affiche toutes les entrées de paquets source qui correspondent aux noms donnés. Toutes les versions sont affichées et toutes les entrées qui déclarent que ces noms correspondent à des paquets binaires. Utilisez l'option --only-source pour n'afficher que le nom des paquets source.

dump
    La commande dump affiche un court résumé sur chaque paquet du cache. Elle est d'abord destinée au débogage.

dumpavail
    La commande dumpavail affiche sur la sortie standard la liste des paquets disponibles. Elle convient à une utilisation avec dpkg(1) et la méthode dselect(1) s'en sert.

unmet
    La commande unmet affiche un résumé concernant toutes les dépendances absentes dans le cache de paquets.

show paquet...
    La commande show est semblable à dpkg --print-avail ; elle affiche des informations sur les paquets donnés en argument.

search expression_rationnelle...
    La commande search recherche l'expression rationnelle POSIX donnée en paramètre sur tous les paquets disponibles, voir regex(7). Elle cherche une occurrence de la chaîne dans les noms de paquets et dans les descriptions, puis elle affiche le nom du paquet et sa description courte. Quand l'option --full est fournie, la sortie est identique à show pour chaque paquet ; quand l'option --names-only est fournie, la recherche ne porte pas sur les descriptions longues, mais seulement sur les noms de paquets et les paquets fournis.

    On peut utiliser des arguments distincts pour indiquer des expressions rationnelles différentes sur lesquelles seront réalisées un « et » logique.

depends paquet...
    La commande depends affiche la liste de toutes les dépendances d'un paquet et la liste de tous les paquets possibles qui satisfont ces dépendances.

rdepends paquet...
    La commande rdepends affiche la liste de toutes les dépendances inverses d'un paquet.

pkgnames [préfixe]
    Cette commande affiche le nom de chaque paquet connu par APT. Un préfixe pour filtrer la liste des noms peut être donné en paramètre. La sortie est adaptée à une utilisation au sein d'une fonction complète de shell ; elle est produite très rapidement. On utilise au mieux cette commande avec l'option --generate.

    Veuillez noter qu'un paquet connu par APT n'est pas forcément disponible, installable ou installé. Par exemple, les paquets virtuels sont également affichés dans la liste créée.

dotty paquet...
    La commande dotty prend une liste de paquets sur la ligne de commande et affiche une sortie appropriée à une utilisation par la commande dotty du paquet GraphViz[1]. Il en résulte un ensemble de nœuds et d'arcs représentant les relations entre les paquets. Par défaut les paquets donnés en argument suivent toutes leurs dépendances, ce qui peut produire un graphe très volumineux. Pour limiter la sortie aux seuls paquets listés sur la ligne de commande, positionnez l'option APT::Cache::GivenOnly.

    Les nœuds résultants ont plusieurs formes ; les paquets normaux sont des boîtes, les « provides » purs sont des triangles, les « provides » mixtes sont des diamants et les paquets manquants sont des hexagones. Les boîtes oranges expriment un arrêt de la récursivité [paquet feuille], les lignes bleues représentent des prédépendances et les lignes vertes représentent des conflits.

    Attention, dotty ne peut pas représenter des ensembles très grands de paquets.

xvcg paquet...
    Identique à dotty, mais réservé à xvcg fourni avec VCG tool[2].

policy [paquet...]
    policy sert à déboguer des problèmes relatifs au fichier des préférences. Sans argument, la commande affiche la priorité de chaque source. Sinon, elle affiche des informations précises sur la priorité du paquet donné en argument.

madison paquet...
    La commande madison d'apt-cache cherche à mimer le format de sortie propre à l'outil Debian de gestion d'archives, madison, ainsi qu'une partie de ses fonctionnalités. Elle affiche les versions disponibles d'un paquet dans un tableau. Contrairement au programme original madison, elle n'affiche que des informations concernant l'architecture pour laquelle Apt a lu la liste des paquets disponibles (APT::Architecture).

OPTIONS

Toutes les options de la ligne de commande peuvent être définies dans le fichier de configuration, les descriptions indiquant l'option de configuration concernée. Pour les options booléennes, vous pouvez outrepasser les réglages du fichier de configuration avec -f-,--no-f, -f=no ou d'autres variations.

-p, --pkg-cache
    Indiquer le fichier servant de cache des paquets. Le cache des paquets est le cache primaire utilisé par toutes les opérations. Élément de configuration : Dir::Cache::pkgcache.

-s, --src-cache
    Indiquer le fichier servant de cache des sources. Ce cache n'est utilisé que par gencaches ; une version des informations sur les paquets, issue d'une analyse de sources distantes, est conservée. Quand le cache des paquets est créé, le cache des sources est utilisé afin d'éviter d'analyser à nouveau tous les paquets. Élément de configuration : Dir::Cache::srcpkgcache.

-q, --quiet
    Mode silencieux ; produit une sortie pertinente pour l'enregistrement dans un fichier-journal, sans afficher d'indicateur de progression. Un plus grand nombre de « q » produira un plus grand silence, avec un maximum de 2. Vous pouvez aussi utiliser -q=# pour positionner le niveau de silence, annulant le fichier de configuration. Élément de configuration : quiet.

-i, --important
    N'afficher que les dépendances importantes ; à utiliser avec les commandes unmet et depends pour n'afficher que les relations Depends et Pre-Depends. Élément de configuration : APT::Cache::Important.

--no-pre-depends, --no-depends, --no-recommends, --no-suggests, --no-conflicts, --no-breaks, --no-replaces, --no-enhances
    Par défaut, depends et rdepends affichent toutes les dépendances. Ce comportement peut être modifié avec ces réglages qui omettront le type de dépendance indiqué. Élément de configuration : APT::Cache::ShowTypeDépendance, par exemple APT::Cache::ShowRecommends.

--implicit
    Par défaut, depends et rdepends n'affichent que les dépendances indiquées explicitement dans les métadonnées. Avec ce marqueur, ils afficheront aussi les dépendances ajoutées de façon implicite basées sur les données rencontrées. Par exemple, un message Conflicts: foo exprime de façon implicite que ce paquet est aussi en conflit avec le paquet foo de n'importe quelle autre architecture. Élément de configuration : APT::Cache::ShowImplicit.

-f, --full
    Afficher la totalité des champs d'information sur le paquet lors d'une recherche. Élément de configuration : APT::Cache::ShowFull.

-a, --all-versions
    Afficher la totalité des champs d'information pour toutes les versions disponibles : c'est la valeur par défaut. Pour la désactiver, utilisez l'option --no-all-versions. Quand l'option --no-all-versions est choisie, seuls les éléments de la version choisie (celle qui serait installée) seront affichés. Cette option concerne seulement la commande show. Élément de configuration : APT::Cache::AllVersions.

-g, --generate
    Réaliser une mise à jour automatique du cache des paquets plutôt que de se servir du cache tel qu'il est. Pour désactiver cette option (option par défaut), utilisez l'option --no-generate. Élément de configuration : APT::Cache::Generate.

--names-only, -n
    N'effectuer une recherche que sur les noms de paquets et de paquets fournis, pas sur les descriptions longues. Élément de configuration : APT::Cache::NamesOnly.

--all-names
    Avec cette option, pkgnames affiche tous les noms, les noms des paquets virtuels et les dépendances manquantes. Élément de configuration : APT::Cache::AllNames.

--recurse
    Avec cette option, depends et rdepends sont récursives de manière à n'afficher qu'une seule fois les paquets mentionnés. Élément de configuration : APT::Cache::RecurseDepends.

--installed
    Cette option limite la sortie de depends et de rdepends aux paquets qui sont actuellement installés. Élément de configuration : APT::Cache::Installed.

--with-source nom_de_fichier
    Ajouter le fichier donné comme source de métadonnées. La commande peut être répétée pour ajouter de multiples fichiers. Actuellement, les fichiers*.deb, *.dsc, *.changes, Sources et Packages, aussi bien que les répertoires de paquets source sont pris en charge. Les correspondances de fichier sont basées sur leur nom seulement et non sur leur contenu !

    Les Sources et Packages peuvent être compressés dans n'importe quel format qu'APT prend en charge à condition qu'ils portent la bonne extension. Si vous avez besoin de stocker plusieurs de ces fichiers dans un seul répertoire, vous pouvez ajouter comme préfixe le nom que vous voulez pourvu que le dernier caractère soit un tiret bas (« _ »). Exemple : mon.exemple_Packages.xz

    Veuillez noter que ces sources sont traitées comme fiables (voir apt-secure(8)). Élément de configuration : APT::Sources::With.

-h, --help
    Afficher un bref résumé de l'utilisation.

-v, --version
    Afficher la version du programme.

--audit
    Afficher les messages d'audit (et de notification). Cela annule l'option mode silencieux, mais seulement pour les messages de notification, pas pour ceux de progression.

-c, --config-file
    Fichier de configuration ; indique le fichier de configuration à utiliser. Le programme lira le fichier de configuration par défaut puis le fichier indiqué ici. Si les réglages de configuration doivent être établis avant l'analyse des fichiers de configuration par défaut, un fichier peut être indiqué avec la variable d'environnementAPT_CONFIG. Veuillez consulter apt.conf(5) pour des informations sur la syntaxe d'utilisation.

-o, --option
    Définir une option de configuration ; permet de régler une option de configuration donnée. La syntaxe est -o Foo::Bar=bar. -o et --option peuvent être utilisées plusieurs fois pour définir des options différentes.

--no-color, --color
    Active ou désactive les couleurs. Elles sont activées par défaut sur les terminaux pris en charge pour apt(8) et peuvent aussi être désactivées avec les variables d'environnement NO_COLOR ou APT_NO_COLOR, ou configurées plus tard par l'option et le champ d'action de configuration APT::Color. Consulter apt.conf(5) pour plus d’informations.

FICHIERS

/etc/apt/sources.list
    Emplacement pour la récupération des paquets. Élément de configuration : Dir::Etc::SourceList.

/etc/apt/sources.list.d/
    Fragments de fichiers définissant les emplacements de récupération de paquets. Élément de configuration : Dir::Etc::SourceParts.

/var/lib/apt/lists/
    Zone de stockage pour les informations qui concernent chaque ressource de paquet spécifiée dans sources.list(5) Élément de configuration : Dir::State::Lists.

/var/lib/apt/lists/partial/
    Zone de stockage pour les informations en transit. Élément de configuration : Dir::State::Lists (partial sera implicitement ajouté).

VOIR AUSSI

apt.conf(5), sources.list(5), apt-get(8), apt-patterns(7)

DIAGNOSTICS

apt-cache retourne zéro après un déroulement normal et le nombre décimal 100 en cas d'erreur.

BOGUES

Page des bogues d'APT[3]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier <bubulle@debian.org> (2000, 2005, 2009, 2010), bubu et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> (2004, 2017-2024) et l'équipe de traduction francophone de Debian <debian-l10n-french@lists.debian.org>

Veuillez noter que cette traduction peut contenir des parties non traduites. Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTEURS

Jason Gunthorpe

Équipe de développement d'APT

NOTES

1.  GraphViz
    https://graphviz.org/

2.  VCG tool
    https://www.rw.cdl.uni-saarland.de/people/sander/private/html/gsvcg1.html

3.  Page des bogues d'APT
    https://bugs.debian.org/src:apt